commit:     af6e06ac7a976bf178016c55fb82b44249ce6eff
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  9 02:25:38 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul  9 03:26:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af6e06ac

dev-python/sphinx-basic-ng: Bump to 1.0.0_beta2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinx-basic-ng/Manifest                |  1 +
 .../sphinx-basic-ng-1.0.0_beta2.ebuild             | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/sphinx-basic-ng/Manifest 
b/dev-python/sphinx-basic-ng/Manifest
index 7d938d0ac6b1..1d754faa7beb 100644
--- a/dev-python/sphinx-basic-ng/Manifest
+++ b/dev-python/sphinx-basic-ng/Manifest
@@ -1 +1,2 @@
 DIST sphinx-basic-ng-1.0.0.beta1.gh.tar.gz 24059 BLAKE2B 
319f27b7326acf0ad1457fcb4d9b6257fb420eaf2bf7d4ebd6e9333f992bc5d0a5fdb518f196edc342c023f3a1c9d1258de2bac5f263d35226ac3ed62d747f23
 SHA512 
177da348fdb2af88bbe3a269f0d468f4d8cd5710a3102ea0fdd943505bc5251a73783a12e5397750fd7bec2df7ecce6601e82a95e777cbd40540a7833982c998
+DIST sphinx-basic-ng-1.0.0.beta2.gh.tar.gz 24076 BLAKE2B 
ce2d8e20d22e4d4e62b4db2eed41c72329a076bbacbf4cd247b657404e8b7f714c37b9625d77363edf7d4e53d9cef45568c53cbad8275bd7b519c0f7b1657c1f
 SHA512 
e8c342251d0b0a085a1cd3a8fe8bede90cde3c5a404daf7afc24b601e6bdcef1c37161fadd21d34306633f1978bc96438bad3d9aa4511913dd92d69f4e299926

diff --git a/dev-python/sphinx-basic-ng/sphinx-basic-ng-1.0.0_beta2.ebuild 
b/dev-python/sphinx-basic-ng/sphinx-basic-ng-1.0.0_beta2.ebuild
new file mode 100644
index 000000000000..86839c93bdc0
--- /dev/null
+++ b/dev-python/sphinx-basic-ng/sphinx-basic-ng-1.0.0_beta2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=${P/_/.}
+DESCRIPTION="A modern skeleton for Sphinx themes"
+HOMEPAGE="
+       https://github.com/pradyunsg/sphinx-basic-ng/
+       https://pypi.org/project/sphinx-basic-ng/
+"
+SRC_URI="
+       https://github.com/pradyunsg/sphinx-basic-ng/archive/${PV/_/.}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/sphinx-4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/myst-parser[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       local HTML_DOCS=()
+       build_sphinx tests/barebones
+       rm -r tests/barebones/_build || die
+}

Reply via email to